org.apache.pdfbox.printing

## Enum Orientation

- java.lang.Object
- - java.lang.Enum<Orientation>
  - - org.apache.pdfbox.printing.Orientation

All Implemented Interfaces:
  Serializable, Comparable<Orientation>

    public enum Orientation
    extends Enum<Orientation>

Orientation of printed pages.

Author:
  John Hewson

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTO` Automatically select the orientation of each page based on its aspect ratio.
`LANDSCAPE` Print all pages as landscape.
`PORTRAIT` Print all pages as portrait.
`REVERSE_LANDSCAPE` Print all pages as reverse landscape (LANDSCAPE's rotated 180 degrees).

### Method Summary

All Methods Static Methods Concrete Methods
`static Orientation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Orientation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AUTO

    public static final Orientation AUTO

Automatically select the orientation of each page based on its aspect ratio.

#### LANDSCAPE

    public static final Orientation LANDSCAPE

Print all pages as landscape.

#### PORTRAIT

    public static final Orientation PORTRAIT

Print all pages as portrait.

#### REVERSE_LANDSCAPE

    public static final Orientation REVERSE_LANDSCAPE

Print all pages as reverse landscape (LANDSCAPE's rotated 180 degrees).

### Method Detail

#### values

    public static Orientation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Orientation c : Orientation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Orientation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null